const setMaxlenghtDocument = (tipoDocument, tipoDocumentClass) => {
  if (tipoDocument == 'DNI') {
    $(tipoDocumentClass).attr('maxlength', 8)
    $(tipoDocumentClass).attr('minlength', 8)
    // $(tipoDocumentClass).attr('data-msg-maxlength', 'Ingrese los datos completos min/max 8')

    $(tipoDocumentClass).attr('data-rule-minlength', 8)
    $(tipoDocumentClass).attr('data-rule-maxlength', 8)
    $(tipoDocumentClass).rules('add', { minlength: 8, maxlength: 8 })
  } else if (tipoDocument == 'CE') {
    $(tipoDocumentClass).attr('maxlength', 9)
    $(tipoDocumentClass).attr('minlength', 9)
    // $(tipoDocumentClass).attr('data-msg-maxlength', 'Ingrese los datos completos min/max 9')

    $(tipoDocumentClass).attr('data-rule-minlength', 9)
    $(tipoDocumentClass).attr('data-rule-maxlength', 9)
    $(tipoDocumentClass).rules('add', { minlength: 9, maxlength: 9 })
  }
}

/*!
 * jQuery Cookie Plugin v1.4.1
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2013 Klaus Hartl
 * Released under the MIT license
 */
(function (factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD
    define(['jquery'], factory);
  } else if (typeof exports === 'object') {
    // CommonJS
    factory(require('jquery'));
  } else {
    // Browser globals
    factory(jQuery);
  }
}(function ($) {

  var pluses = /\+/g;

  function encode(s) {
    return config.raw ? s : encodeURIComponent(s);
  }

  function decode(s) {
    return config.raw ? s : decodeURIComponent(s);
  }

  function stringifyCookieValue(value) {
    return encode(config.json ? JSON.stringify(value) : String(value));
  }

  function parseCookieValue(s) {
    if (s.indexOf('"') === 0) {
      // This is a quoted cookie as according to RFC2068, unescape...
      s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
    }

    try {
      // Replace server-side written pluses with spaces.
      // If we can't decode the cookie, ignore it, it's unusable.
      // If we can't parse the cookie, ignore it, it's unusable.
      s = decodeURIComponent(s.replace(pluses, ' '));
      return config.json ? JSON.parse(s) : s;
    } catch(e) {}
  }

  function read(s, converter) {
    var value = config.raw ? s : parseCookieValue(s);
    return $.isFunction(converter) ? converter(value) : value;
  }

  var config = $.cookie = function (key, value, options) {

    // Write

    if (value !== undefined && !$.isFunction(value)) {
      options = $.extend({}, config.defaults, options);

      if (typeof options.expires === 'number') {
        var days = options.expires, t = options.expires = new Date();
        t.setTime(+t + days * 864e+5);
      }

      return (document.cookie = [
        encode(key), '=', stringifyCookieValue(value),
        options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
        options.path    ? '; path=' + options.path : '',
        options.domain  ? '; domain=' + options.domain : '',
        options.secure  ? '; secure' : ''
      ].join(''));
    }

    // Read

    var result = key ? undefined : {};

    // To prevent the for loop in the first place assign an empty array
    // in case there are no cookies at all. Also prevents odd result when
    // calling $.cookie().
    var cookies = document.cookie ? document.cookie.split('; ') : [];

    for (var i = 0, l = cookies.length; i < l; i++) {
      var parts = cookies[i].split('=');
      var name = decode(parts.shift());
      var cookie = parts.join('=');

      if (key && key === name) {
        // If second argument (value) is a function it's a converter...
        result = read(cookie, value);
        break;
      }

      // Prevent storing a cookie that we couldn't decode.
      if (!key && (cookie = read(cookie)) !== undefined) {
        result[name] = cookie;
      }
    }

    return result;
  };

  config.defaults = {};

  $.removeCookie = function (key, options) {
    if ($.cookie(key) === undefined) {
      return false;
    }

    // Must not alter options, thus extending a fresh object...
    $.cookie(key, '', $.extend({}, options, { expires: -1 }));
    return !$.cookie(key);
  };

}));

  let URLactual = window.location;
  const Pages = window.location.pathname;
  const PageSplit = Pages.split("/");
  const store_dominio=PageSplit[1];
  const domainControl=document.getElementById("urlDomainDefault").getAttribute("content");

function onlyNumber(){

    $('input[type="number"]').bind('keyup paste', function(){
        this.value = this.value.replace(/[^0-9]/g, '');
  });

}

var step_checkout=$.cookie('step_checkout');
var num_orden=$.cookie('num_orden');
var tokenPago=$.cookie('tokenPago');

//1 RESET COSTO ENVIO
$.cookie('CostoEnvio', '0', { expires: 7, path: '/' });

if (step_checkout==2) {
getOrderSession(num_orden);
}


function getOrderSession(num_orden){


  var settings = {

    "url": "https://sami3-orders.winwinafi.com/orders/"+domainControl+"/"+num_orden,
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {

var datosemal= response['obj'][0]['datos_pedido']['datos_pedido'][0]['datos_facturacion'][0].email_facturacion;
var datosmonto= response['obj'][0]['datos_pedido']['datos_pedido'][0]['resumen_pedido'][0].gran_total;


$('.resumenFacturacion').attr('style','display:block;');
$('#formulario_facturacion').attr('style','display:none;');
$('#enviosForm #formulario').attr('style','display:none;');
$('#enviosForm .resumenEnvio').attr('style','display:block;');
$('.metodosPago').attr('style','display:block !important;');
$('#continuarPago').addClass('hidden');
$('.zonasEnvio2').addClass('hidden');
$('#FinalizarCompra').removeClass('hidden');

$(".btn_sg, .btn_sg1, .btn_at1").attr("style","display:none");

queryOrdenDetalle(response);

// generarTokenPago(datosmonto,datosemal,num_orden);


$("body").on("click", "#method_izipay_get", function (e) {


//$('#method_izipay .card-body .loadin').attr('style','display:block !important');

// generarTokenPago(datosmonto,datosemal,num_orden);


});


$('#FinalizarCompra').attr('disabled','disabled');
$('#termin_condicion').attr('checked','checked')
$('#termin_condicion').attr('value','true')

});

}

var hostname1 = document.getElementById("urlDomainDefault").getAttribute("content");
var cnmae1 = hostname1+"_cookie_checkout1";
var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));

  
  console.log(productosCarritos);

var Subtotal= productosCarritos["summary"]['subTotal'];
var disccount= productosCarritos["summary"]['disccount'];
var quantity= productosCarritos["summary"]['quantity'];
var total= productosCarritos["summary"]['total'];

if(quantity==1){
  $("h6 #cant_prd").html("("+quantity+" producto)");
} else if(quantity>1){
  $("h6 #cant_prd").html("("+quantity+" productos)");
}


var zonasenvio= $('input[name=zonasenvio]').val();
   if (zonasenvio=="zona_3_regular") { var valordEnvio=10.00;}
   if (zonasenvio=="zona_2_express") { var valordEnvio=25.00;}
   if (zonasenvio=="zona_1_programado") { var valordEnvio=30.00;}
   if (zonasenvio==undefined) { var valordEnvio=0.00;}

//2 EDITAR RESUMEN
_htmlListPagos = `
<dl class="dlist-align">
          <dt>Subtotal: </dt>
          <dd>S/ <span id="total_price">${parseFloat(Subtotal).toFixed(
            2
          )}</span></dd>
        </dl>
<dl class="dlist-align dsct">
          <dt>Descuento: </dt>
          <dd>- S/ <span id="total_discount">${disccount.toFixed(2)}</span></dd>
        </dl>

<!-- <dl class="dlist-align">
          <dt class="text-muted">Cantidad: </dt>
          <dd>${quantity}</dd>
        </dl> -->

<dl class="dlist-align">
          <dt >Costo de envío: </dt>
          <dd class="valorEnvio">S/ ${parseFloat(valordEnvio).toFixed(2)}</dd>
        </dl>
<hr>

<dl class="dlist-align">
          <dt >PRECIO TOTAL: </dt>
          <dd class="totalCarrito">S/ <span id="total_total">${parseFloat(
            total
          ).toFixed(2)}</span></dd>
        </dl>
        `;

$(".listaPagos").append(_htmlListPagos);

$.each(productosCarritos["products"] , function( x, valores ) {


 _htmlList=`


<figure class="itemside mb-2">
        <div class="aside"><img src="${valores.url1_imagen_sku}" class="border img-xs"></div>
        <figcaption class="info align-self-center">
          <div class="title">${valores.item_title}</div>
          <strong class="price">S/ ${parseFloat(valores.sale_price).toFixed(2)} x ${valores.quantity}</strong>
        </figcaption>
      </figure>
 `
 
 $('.listaCarrito').append(_htmlList);

});

_urlPaises='https://resources-sami3.s3.us-west-1.amazonaws.com/sami3-prod/'+domainControl+'/json/paises_geo.json';
_urlGeo='https://resources-sami3.s3.us-west-1.amazonaws.com/sami3-prod/'+domainControl+'/json/geoZonasPeru.json?v=25';


$.ajax({
  type: 'GET',
  url: "https://resources-sami3.s3.us-west-1.amazonaws.com/sami3-prod/"+domainControl+"/json/formulario.json?v=[[VERSION_URL]]",
  dataType: 'json',
  success: function (data) {

    GetDepartamentos();
    
    var dE=data["direccion_envios"];
    var dF=data["datos_facturacion"]

    $.each( dE, function( key, value ) {

  
      if (value.estado==true) {

          if (value.requerido==true) {
              var obligatorio="true"; 
              var obligatorioTXT="*"; 
          } else { 
              var obligatorio="false";
              var obligatorioTXT=""; 
          }

          var maxcaracteres=value.max;
          if (maxcaracteres==undefined) {
             maxcaracteres=1000;
          } else {
            maxcaracteres=value.max;
          }

          if (value.type=="select") {

              if(value.name!="pais"){
                _html=`<div class="separadores ${value.name}"></div><div class="form-group ${value.name} field"> <label class="label-${value.name}"><span>${value.nombre_field} ${obligatorioTXT}</span><select class="form-control" name="${value.name}"  data-msg="Campo <b>${value.name}</b> obligatorio *" data-rule-required="${obligatorio}" id="${value.id}" type="${value.type}" 
                 data-rule-required="${obligatorio}"
                 data-msg="Campo <b>${value.name}</b> obligatorio *"
                /></label></div>`;
              }

          } else { 

               _html=`<div class="separadores ${value.name}"></div><div class="form-group ${value.name} field"><label class="label-${value.name}"><span>${value.nombre_field} ${obligatorioTXT}</span><input class="form-control" name="${value.name}" id="${value.id}" type="${value.type}"
               maxlength="${maxcaracteres}" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
               data-rule-minlength="${value.min}"
               data-rule-maxlength="${value.max}"
               data-msg="Campo <b>${value.name}</b> obligatorio *"
               data-msg-minlength="${value.msg_reglas}"
               data-rule-required="${obligatorio}"
               data-msg-maxlength="${value.msg_reglas}"/></label> </div>`;

          }

           $('#formulario').append(_html);
           onlyNumber();

       }

    });

    $.each( dF, function( key, value ) {


          var maxcaracteres=value.max;

          if (maxcaracteres==undefined) {
            maxcaracteres=1000;
          } else {
            maxcaracteres=value.max;
          }

          if (value.estado==true) {

            if (value.requerido==true) { var obligatorio="true"; var obligatorioTXT="*"; } else { var obligatorio="false"; var obligatorioTXT=""; }


              if (value.type=="select") {
                _html=`<div class="separadores ${value.name}"></div><div class="form-group ${value.name} field"><label class="label-${value.name}"><span>${value.nombre_field} ${obligatorioTXT}</span><select class="form-control" name="${value.name}" id="${value.id}" type="${value.type}" 
                 data-rule-required="${obligatorio}"
                 data-msg="Campo <b>${value.name}</b> obligatorio *"
                /></label> </div>`;

              } else if (value.type=="radio") {
                _html=`<div class="separadores ${value.name}"></div><div class="${value.name} form-group field"><label class="label-${value.name} custom-control custom-radio custom-control-inline"><span>${value.nombre_field} ${obligatorioTXT}</span><input class="form-check-input " name="${value.name}" id="${value.id}" type="${value.type}"
                   data-rule-required="${obligatorio}"
                   data-msg="Campo <b>${value.name}</b> obligatorio *"

                 /></label> </div>`;

              } else if (value.type=="email") {
                _html=`<div class="separadores ${value.name}"></div><div class="${value.name} form-group field"><label class="label-${value.name}"><span>${value.nombre_field} ${obligatorioTXT}</span><input class="form-control" name="${value.name}" id="${value.id}" type="${value.type}"
                   data-rule-required="${obligatorio}"
                   data-validation="email"
                   data-msg="Campo <b>${value.name}</b> obligatorio *"
                   data-msg-email="${value.msg_reglas}"

                 /></label> </div>`;

              } else { 

                 _html=`<div class="separadores ${value.name}"></div><div class="form-group ${value.name} field"><label class="label-${value.name}"><span>${value.nombre_field} ${obligatorioTXT}</span><input class="form-control" name="${value.name}" id="${value.id}" type="${value.type}" 
                   data-rule-minlength="${value.min}"
                 data-rule-maxlength="${value.max}"
                 maxlength="${maxcaracteres}" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);"
                 data-msg-minlength="${value.msg_reglas}"
                 data-rule-required="${obligatorio}"
                 data-msg="Campo <b>${value.name}</b> obligatorio *"
                 data-msg-maxlength="${value.msg_reglas}"
                  /></label> </div>`;
              }

              $('#formulario_facturacion').append(_html);
              onlyNumber();
          }

    });

    $('#list_tipo_doc').append(`
      <option value="">Seleccionar</option>
      <option value="DNI">DNI</option>
      <option value="CE">Carnet de Extranjeria</option>`);

    $('#tipo_doc_quien_recoje').append(`
      <option value="">Seleccionar</option>
      <option value="DNI">DNI</option>
      <option value="CE">Carnet de Extranjeria</option>`);


    //$(".separadores.nom_ape_quien_recoje").prepend('<h4 class="">¿Quíen recibe/recoge el producto?</h4>');
  
    $("#doc_boleta").attr('checked','checked');

    $('#departamento').select2({width: '100%'});
    $('#provincia').select2({width: '100%'});
    $('#distrito').select2({width: '100%'});

    $("#formulario .separadores.referencia:last").remove();
    $("#formulario .referencia.field:last").remove();

  }
});


// $.ajax({
//   type: 'GET',
//   url: _urlPaises,
//   dataType: 'json',
//   success: function (infoData) {
//     //$('#pais').append(`<option  value=""> Seleccionar Pais... </option>`);
//     var Paises= infoData['obj'];
//     $.each( Paises, function( key, pais ) {
//       _htmlLIP = `<option id="${pais.id_pais}" value="${pais.id_pais}">${pais.Nombre} </option>`;
//       $('#pais').append(_htmlLIP);
//     });
//   }
// });

function GetDepartamentos(){
    // $.ajax({
    //   type: 'GET',
    //   url: _urlGeo,
    //   dataType: 'json',
    //   success: function (infoData) {
    //     $('#departamento').append(`<option  value=""> Seleccionar departamento... </option>`);
    //     $.each(infoData, function( key, departamentos ) {

    //       var _htmlLI = `<option  value="${departamentos.id}" >${departamentos.name} </option>`;
    //       $('#departamento').append(_htmlLI);

    //     });
    //   }
    // });
    var domnio = document.getElementById("urlDomainDefault").getAttribute("content");
    $.ajax({
      type: 'GET',
      //url: _urlGeo,
      url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/",
      dataType: 'json',
      success: function (infoData) {
        $('#departamento').append(`<option  value=""> Seleccionar departamento... </option>`);
        // $.each(infoData, function( key, departamentos ) {

        //   var _htmlLI = `<option  value="${departamentos.id}" >${departamentos.name} </option>`;
        //   $('#departamento').append(_htmlLI);

        // });
        var reslt = infoData.resultado[0]["departamentos"];
        for(var i=0;i<reslt.length;i++){
          var obj = reslt[i];
          var dep = obj["departamento"];
          var _htmlLI = `<option value="${dep}" >${dep}</option>`;
          $('#departamento').append(_htmlLI);
        }
        
      }
    });
}


function provincias(idDepartamentos){
      // $.ajax({
      //   type: 'GET',
      //   url: _urlGeo,
      //   dataType: 'json',
      //   success: function (Data_provincias) {


      //       $('#provincia').append(`<option  value=""> Seleccionar provincia... </option>`);
      //       $.each(Data_provincias, function( key, provincias ) {

      //           if (provincias.id==idDepartamentos) {
      //               var _provinciasLista=provincias.provincias;
      //               $.each(_provinciasLista, function( key, row_provincias ) {

      //                     _htmlLI = `<option value="${row_provincias.id_provincia}" data-depa="${idDepartamentos}">${row_provincias.name}</option>`;
      //                     $('#provincia').append(_htmlLI)
      //               });
      //           }
      //       });
      //   }


      // });

      var domnio = document.getElementById("urlDomainDefault").getAttribute("content");
      $.ajax({
        type: 'GET',
        //url: _urlGeo,
        url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/"+idDepartamentos,
        dataType: 'json',
        success: function (Data_provincias) {


            $('#provincia').append(`<option  value=""> Seleccionar provincia... </option>`);
            // $.each(Data_provincias, function( key, provincias ) {

            //     if (provincias.id==idDepartamentos) {
            //         var _provinciasLista=provincias.provincias;
            //         $.each(_provinciasLista, function( key, row_provincias ) {

            //               _htmlLI = `<option value="${row_provincias.id_provincia}" data-depa="${idDepartamentos}">${row_provincias.name}</option>`;
            //               $('#provincia').append(_htmlLI)
            //         });
            //     }
            // });
            var result = Data_provincias.resultado[0].departamentos;
            for(var i=0;i<result.length;i++){
              var obj = result[i];
              var dep = obj["departamento"];

              if(dep==idDepartamentos){
                var _provinciasLista = obj["provincias"];
                for(var p=0; p < _provinciasLista.length; p++){
                    var obj2 = _provinciasLista[p];
                    var prov = obj2["provincia"];
                     _htmlLI = `<option value="${prov}" data-depa="${idDepartamentos}">${prov}</option>`;
                    $('#provincia').append(_htmlLI);
                }

              }
              
            }
        }


      });
}


function distritos(idProvincias,idDepa){

  // $.ajax({
  //   type: 'GET',
  //   url: _urlGeo,
  //   dataType: 'json',
  //   success: function (infoData) {

  //       $('#distrito').append(`<option  value=""> Seleccionar distrito... </option>`);
  //       $.each(infoData, function( key, provincias ) {
  //             if (provincias.id==idDepa) {
  //               var _provinciasLista=provincias.provincias;
  //               $.each(_provinciasLista, function( key, row_provincias ) {

  //                 if (row_provincias.id_provincia==idProvincias) {
  //                   var _ListaDistritos=row_provincias.distritos;

  //                   $.each(_ListaDistritos, function( key, row_distritos ) {

  //                     _htmlLID = `<option  value="${row_distritos.id}" data-depa="${idDepa}" data-prov="${row_provincias.id_provincia}">${row_distritos.name} </option>`;
  //                     $('#distrito').append(_htmlLID)

  //                   });
  //                 }

  //               });
  //             }
  //       });
  //   }
  // });

  var domnio = document.getElementById("urlDomainDefault").getAttribute("content");
  $.ajax({
    type: 'GET',
    //url: _urlGeo,
    url: "https://sami3-shipping.winwinafi.com/zonasenvio/"+domnio+"/"+idDepa,
    dataType: 'json',
    success: function (infoData) {

        $('#distrito').append(`<option  value=""> Seleccionar distrito... </option>`);
        // $.each(infoData, function( key, provincias ) {
        //       if (provincias.id==idDepa) {
        //         var _provinciasLista=provincias.provincias;
        //         $.each(_provinciasLista, function( key, row_provincias ) {

        //           if (row_provincias.id_provincia==idProvincias) {
        //             var _ListaDistritos=row_provincias.distritos;

        //             $.each(_ListaDistritos, function( key, row_distritos ) {

        //               _htmlLID = `<option  value="${row_distritos.id}" data-depa="${idDepa}" data-prov="${row_provincias.id_provincia}">${row_distritos.name} </option>`;
        //               $('#distrito').append(_htmlLID)

        //             });
        //           }

        //         });
        //       }
        // });
          var result = infoData.resultado[0].departamentos;
          for(var i=0;i<result.length;i++){
            var obj = result[i];
            var dep = obj["departamento"];

            if(dep==idDepa){
              var _provinciasLista = obj["provincias"];
              for(var p=0; p < _provinciasLista.length; p++){
                  var obj2 = _provinciasLista[p];
                  var prov = obj2["provincia"];

                  if(prov==idProvincias){
                    var distr = obj2["distritos"];
                    for(var dt=0;dt < distr.length;dt++){
                      var obj3 = distr[dt];
                      var nombre_distrito = obj3["distrito"];
                      var num_ubigeo = obj3["ubigeo"];

                      _htmlLID = `<option value="${nombre_distrito}" data-depa="${idDepa}" data-prov="${idProvincias}" data-ubigeo="${num_ubigeo}">${nombre_distrito} </option>`;
                      $('#distrito').append(_htmlLID);
                    }
                  }
              }

            }
            
          }

    }
  });

}





function zonasEvios(idZonas, idDepa, idProv) {
  var domnio = window.location.hostname.replace("www.", "");
  $(".zonasEnvio").html();
  $.ajax({
    type: "GET",
    //url: _urlGeo,
    url: "https://sami3-shipping.winwinafi.com/zonasenvio/" + domnio + "/" + idDepa,
    dataType: "json",
    success: function (infoData) {
      // $.each(infoData, function( key, provincias ) {

      //     if (provincias.id==idDepa) {
      //         var _provinciasLista=provincias.provincias;
      //         $.each(_provinciasLista, function( key, row_provincias ) {
      //           if (row_provincias.id_provincia==idProv) {

      //                var _ListaDistritos=row_provincias.distritos;
      //                $.each(_ListaDistritos, function( key, row_zonas ) {

      //                   var _Listazonas= row_zonas.zonas_envio;
      //                   if (row_zonas.id==idZonas) {

      //                     $.each( _Listazonas, function( key, zonasRow ) {

      //                         console.log(row_zonas);
      //                         _htmlLZonas = `<label class="custom-control custom-radio custom-control-inline"><input id="${zonasRow.nom_id}" type="radio" data-msg="${zonasRow.msg_txt}" name="zonasenvio" value="${zonasRow.nom_id}">${zonasRow.zona} </label>`;
      //                         _htmlZonas2 = ` <div class="form-group col-sm-4">
      //                                 <label class="js-check box">
      //                                   <input type="radio" name="zonasenvio" value="${zonasRow.nom_id}" >
      //                                   <h6 class="title">${zonasRow.zona}</h6>
      //                                   <p class="text-muted">${zonasRow.msg_txt}</p>
      //                                 </label> <!-- js-check.// -->
      //                               </div>`;

      //                         $('.zonasEnvio2').append(_htmlZonas2)
      //                     });

      //                   }

      //                 });
      //           }
      //         });
      //     }
      // });

      var result = infoData.resultado[0].departamentos;
      for (var i = 0; i < result.length; i++) {
        var obj = result[i];
        var dep = obj["departamento"];

        if (dep == idDepa) {
          var _provinciasLista = obj["provincias"];
          for (var p = 0; p < _provinciasLista.length; p++) {
            var obj2 = _provinciasLista[p];
            var prov = obj2["provincia"];

            if (prov == idProv) {
              var distr = obj2["distritos"];
              for (var dt = 0; dt < distr.length; dt++) {
                var obj3 = distr[dt];
                var nombre_distrito = obj3["distrito"];

                if (nombre_distrito == idZonas) {
                  var zonasE = obj3["zonas_envio"];
                  for (var ze = 0; ze < zonasE.length; ze++) {
                    var obj4 = zonasE[ze];
                    var zonaA = obj4["zona"];
                    var titulo_zonaA = obj4["titulo"];
                    var desc_zonaA = obj4["msg_txt"];

                    _htmlZonas2 = ` <div class="form-group col-sm-4 d-none">
                                       <label class="js-check box" id="check_zona_de_envio">
                                      <input type="radio" name="zonasenvio" value="${zonaA}" >
                                         <h6 class="title">${titulo_zonaA}</h6>
                                         <p class="text-muted">${desc_zonaA}</p>
                                        </label> <!-- js-check.// -->
                                      </div>`;

                    $(".zonasEnvio2").append(_htmlZonas2);


                    $("#check_zona_de_envio input").prop("checked", true);

                    if ($("#check_zona_de_envio input").is(":checked")) {
                      $("#check_zona_de_envio").addClass("active")
                    }


                    $('.zonasEnvio2 label').removeClass('active');
                    $(this).parent().addClass('active');

                    var zonaID  = $("#check_zona_de_envio input").attr("value");/* $("#check_zona_de_envio input").attr("name") */;
                    var hostname1 = window.location.hostname.replace("www.","");
                    var cnmae1 = hostname1+"_cookie_checkout1";
                    var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));                            

                    var total= productosCarritos["summary"]['total'];
                    var quantity= productosCarritos["summary"]['quantity'];

                    getZonasEnvioApi(zonaID,total,quantity);


                  }
                }
              }
            }
          }
        }
      }
    },
  });
}

//3 CAMBIAR LINEA
function getZonasEnvioApi(zonaID,total,quantity){
    var hostname1 = document.getElementById("urlDomainDefault").getAttribute("content");
    var donm = hostname1+"_cookie_checkout1";
    var _urlSolicitaCenvioApi="https://sami3-shipping.winwinafi.com/costoenvio/costoenvio";
    console.log(zonaID);console.log(total);console.log(quantity);

    var settings = {
      "url": _urlSolicitaCenvioApi,
      "method": "POST",
      "timeout": 0,
      "headers": {
        "Content-Type": "application/json"
      },
      "data": JSON.stringify([{"dominio":hostname1,"peso_total":0,"cantidad":quantity,"valor_venta":total,"zona":zonaID}]),
    };

    $.ajax(settings).done(function (response) {
        console.log(response);
        var CostoEnvio
      if (window.envio) {
        CostoEnvio = "0.00"
      }else{
        CostoEnvio= response['obj'][0]['costo_final_envio'];
      }
        var hostname1 = document.getElementById("urlDomainDefault").getAttribute("content");
        var cnmae1 = hostname1+"_cookie_checkout1";
        var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));
        // var Subtotal= productosCarritos["summary"]['subTotal'];
        // var disccount= productosCarritos["summary"]['disccount'];
        // var quantity= productosCarritos["summary"]['quantity'];
        var total= $("#total_total").text()

        var TotalFinal1 = parseFloat(total) + parseFloat(CostoEnvio);

        $.cookie('CostoEnvio', CostoEnvio, { expires: 7, path: '/' });
        $.cookie('ZonaEnvio', zonaID, { expires: 7, path: '/' });
        //
        $('.totalCarrito').html('S/ <span id="total_total">'+ parseFloat(TotalFinal1).toFixed(2)+'</span>');
        $('.listaPagos .valorEnvio').html('S/. '+parseFloat(CostoEnvio).toFixed(2));
      
      });

}

//4 AGREGAR VALOR DE CUPÓN Y VALORES EN ORDENES
function guardarOrden(){
  if ($("#recojo_en_tienda").is(":checked")) {
    $(".loadin").attr("style", "display:block !important");
    var items = [];

    var tienda_recojo = $('#recojo_en_tienda_data h5 input:checked').attr("name")

    var nom_ape_quien_recoje = $("#nombres_completos_fact").val();
    var list_tipo_doc = $("#list_tipo_doc").val();
    var tipo_doc = $("#tipo_doc").val();
    var telefono = $("#telefono").val();
    var correo = $("#correo").val();
    var apellidos_completos_fact = $("#apellidos_completos_fact").val();

    if ($("#termin_condicion").is(":checked")) {
      var rsp_tc = "si";
    } else {
      var rsp_tc = "no";
    }

    if ($("#pol_privacidad").is(":checked")) {
      var rsp_pp = "si";
    } else {
      var rsp_pp = "no";
    }

    //4.1
    var tot_pr = parseFloat($("#total_price").text());
    var tot_disc = parseFloat($("#total_discount").text());
    var total_dsc = tot_pr - tot_disc;

    var hostname1 = window.location.hostname.replace("www.", "");
    var cnmae1 = hostname1 + "_cookie_checkout1";
    var productosCarritos = JSON.parse(localStorage.getItem(cnmae1));
    var ListaProductos = productosCarritos.products;

    var Subtotal = productosCarritos["summary"]["subTotal"];
    var disccount = productosCarritos["summary"]["disccount"];
    var quantity = productosCarritos["summary"]["quantity"];
    var total = productosCarritos["summary"]["total"];

    $.each(ListaProductos, function (x, items_vals) {
      var item = {};
      item.sku = items_vals.sku;
      item.quantity_sku = items_vals.quantity;
      items.push(item);
    });

    //new fact
    if ($("#doc_boleta").is(":checked")) {
      var nombres_completos_fact = $("#nombres_completos_fact").val();
      var tipo_dc = "boleta";
    } else if ($("#doc_factura").is(":checked")) {
      var nombres_completos_fact = $("input[name=razon_social]").val();
      var tipo_dc = "factura";
    }

    var tipo_doc = $("input[name=dni_doc]").val();
    if (tipo_doc == "") {
      var tipo_doc = $("input[name=ruc]").val();
    } else {
      var tipo_doc = $("input[name=dni_doc]").val();
    }

    var dep1 = $("#dep_rct").val();
    var prov1 = $("#prov_rct").val();
    var dist1 = $("#dist_rct").val();
    var ubig1 = $("#ubigeo_rct").val();
    var dirc1 = $("#direccion_rct").val();
    var telf1 = $("#telefono_rct").val();

    var settings = {
      url: "https://sami3-orders.winwinafi.com/orders",
      method: "POST",
      timeout: 0,
      headers: {
        "Content-Type": "application/json",
      },
      data: JSON.stringify({
        cabecera_pedido: {
          dominio: `${domainControl}`,
          estado_pedido: "activo",
          email_pedido: `${correo}`,
        },
        datos_facturacion: {
          tipo_de_doc: tipo_dc,
          id_cliente: tipo_doc,
          nombres_facturacion: `${nombres_completos_fact}`,
          telefono_facturacion: `${telefono}`,
          email_facturacion: `${correo}`,
        },
        resumen_pedido: {
          costo_envio: "zona_a_tienda",
          quantity: quantity,
          subtotal: $("#total_price").text(),
          disccount: $("#total_discount").text(),
          total: total_dsc,
          impuesto: 0,
          gran_total: $("#total_total").text(),
        },
        detalle_pedido: items,
        terminos_legales: {
          acepta_condiciones: rsp_tc,
          acepta_datos: rsp_pp,
        },
        situacion_envio: {
          estado_envio: "pendiente",
          preparacion: "01-10-2022",
          listo_envio: "01-10-2022",
          enviado: "01-10-2022",
          recibido: "01-10-2022",
          operador_logistico: "ramsa",
        },
        situacion_facturacion: {
          estado_facturacion: "facturado",
          fecha_envio_facturacion: "01-10-2022",
          Link_doc1: "http://fraa.com/dsdsdsd",
          Link_doc2: "http://fdfd.com/dsdsdsd",
        },
        situacion_erp: {
          estado_erp: "pendiente",
          fecha_envio_erp: "01-10-2022",
          Link_doc1_erp: "http://fraa.com/dsdsdsd",
        },
        situacion_pagos: {
          estado_pago: "pagado",
          fecha_pago: "01-07-2022",
          metodo_pago: "visa",
        },
        datos_envio: {
          nombres_envio: `${nom_ape_quien_recoje}`,
          apellidos_envio: `${apellidos_completos_fact}`,
          direccion_envio: `${tienda_recojo}`,
          referencia_envio: "",
          telefono_envio: `${telf1}`,
          pais: `Perú`,
          departamento: `${tienda_recojo}`, 
          provincia: `${tienda_recojo}`,
          distrito: `${tienda_recojo}`,
          servicio_envio: "recojo en tienda",
          ubigeo: `${ubig1}`,
          dni_envio: `${tipo_doc}`,
          tipo_envio: "recojo en tienda",
        },
        cupon: $("#inpidkcuppon").val(),
      }),
    };

    console.log(settings);

    $.ajax(settings)
      .done(function (response) {
        var num_orden= response['obj'][0]['num_orden'];
          $.cookie('step_checkout', '2', { expires: 7, path: '/' });
          $.cookie('num_orden', num_orden, { expires: 7, path: '/' });
          $.cookie('c_email', correo, { expires: 7, path: '/' });

          getOrdenPedido(num_orden,correo);
              $('.loadin').attr('style','display:none !important');

              if ($("#recojo_en_tienda").prop("checked")) {
                $("#recojo_en_tienda").click();
              }

          }).fail(function (response) {
            // $("#mensaje p").text(response.responseJSON.sRpta)
            // $("#mensaje").modal("show")
            Swal.fire({
              // icon: 'warning',
              // title: 'IMPORTANTE',
              html: '<p class="text-justify"><span style="font-weight: 700;font-size: 20px;">'+response.responseJSON.sRpta.split(":")[0]+':</span> <ul>'+response.responseJSON.sRpta.split(":")[1].split(",").map(el => {
                return `<li style="text-transform: math-auto;margin-bottom: 10px;">${el}</li>`
              })+'</ul></p>',
              confirmButtonText: 'Ir al carrito'
            }).then(res => {
              if(res.isConfirmed){
                location.href = "/process/shopcart"
              }
            })
          })
  }
  if ($("#recojo_en_plaza").is(":checked")) {
    $(".loadin").attr("style", "display:block !important");
    var items = [];

    var tienda_recojo = $('#recojo_en_plaza_data h5 input:checked').attr("name")

    var nom_ape_quien_recoje = $("#nombres_completos_fact").val();
    var list_tipo_doc = $("#list_tipo_doc").val();
    var tipo_doc = $("#tipo_doc").val();
    var telefono = $("#telefono").val();
    var correo = $("#correo").val();
    var apellidos_completos_fact = $("#apellidos_completos_fact").val();

    if ($("#termin_condicion").is(":checked")) {
      var rsp_tc = "si";
    } else {
      var rsp_tc = "no";
    }

    if ($("#pol_privacidad").is(":checked")) {
      var rsp_pp = "si";
    } else {
      var rsp_pp = "no";
    }

    //4.1
    var tot_pr = parseFloat($("#total_price").text());
    var tot_disc = parseFloat($("#total_discount").text());
    var total_dsc = tot_pr - tot_disc;

    var hostname1 = window.location.hostname.replace("www.", "");
    var cnmae1 = hostname1 + "_cookie_checkout1";
    var productosCarritos = JSON.parse(localStorage.getItem(cnmae1));
    var ListaProductos = productosCarritos.products;

    var Subtotal = productosCarritos["summary"]["subTotal"];
    var disccount = productosCarritos["summary"]["disccount"];
    var quantity = productosCarritos["summary"]["quantity"];
    var total = productosCarritos["summary"]["total"];

    $.each(ListaProductos, function (x, items_vals) {
      var item = {};
      item.sku = items_vals.sku;
      item.quantity_sku = items_vals.quantity;
      items.push(item);
    });

    //new fact
    if ($("#doc_boleta").is(":checked")) {
      var nombres_completos_fact = $("#nombres_completos_fact").val();
      var tipo_dc = "boleta";
    } else if ($("#doc_factura").is(":checked")) {
      var nombres_completos_fact = $("input[name=razon_social]").val();
      var tipo_dc = "factura";
    }

    var tipo_doc = $("input[name=dni_doc]").val();
    if (tipo_doc == "") {
      var tipo_doc = $("input[name=ruc]").val();
    } else {
      var tipo_doc = $("input[name=dni_doc]").val();
    }

    var dep1 = $("#dep_rct").val();
    var prov1 = $("#prov_rct").val();
    var dist1 = $("#dist_rct").val();
    var ubig1 = $("#ubigeo_rct").val();
    var dirc1 = $("#direccion_rct").val();
    var telf1 = $("#telefono_rct").val();

    var settings = {
      url: "https://sami3-orders.winwinafi.com/orders",
      method: "POST",
      timeout: 0,
      headers: {
        "Content-Type": "application/json",
      },
      data: JSON.stringify({
        cabecera_pedido: {
          dominio: `${domainControl}`,
          estado_pedido: "activo",
          email_pedido: `${correo}`,
        },
        datos_facturacion: {
          tipo_de_doc: tipo_dc,
          id_cliente: tipo_doc,
          nombres_facturacion: `${nombres_completos_fact}`,
          telefono_facturacion: `${telefono}`,
          email_facturacion: `${correo}`,
        },
        resumen_pedido: {
          costo_envio: "zona_a_tienda",
          quantity: quantity,
          subtotal: $("#total_price").text(),
          disccount: $("#total_discount").text(),
          total: total_dsc,
          impuesto: 0,
          gran_total: $("#total_total").text(),
        },
        detalle_pedido: items,
        terminos_legales: {
          acepta_condiciones: rsp_tc,
          acepta_datos: rsp_pp,
        },
        situacion_envio: {
          estado_envio: "pendiente",
          preparacion: "01-10-2022",
          listo_envio: "01-10-2022",
          enviado: "01-10-2022",
          recibido: "01-10-2022",
          operador_logistico: "ramsa",
        },
        situacion_facturacion: {
          estado_facturacion: "facturado",
          fecha_envio_facturacion: "01-10-2022",
          Link_doc1: "http://fraa.com/dsdsdsd",
          Link_doc2: "http://fdfd.com/dsdsdsd",
        },
        situacion_erp: {
          estado_erp: "pendiente",
          fecha_envio_erp: "01-10-2022",
          Link_doc1_erp: "http://fraa.com/dsdsdsd",
        },
        situacion_pagos: {
          estado_pago: "pagado",
          fecha_pago: "01-07-2022",
          metodo_pago: "visa",
        },
        datos_envio: {
          nombres_envio: `${nom_ape_quien_recoje}`,
          apellidos_envio: `${apellidos_completos_fact}`,
          direccion_envio: `${tienda_recojo}`,
          referencia_envio: "",
          telefono_envio: `${telf1}`,
          pais: `Perú`,
          departamento: `${tienda_recojo}`, 
          provincia: `${tienda_recojo}`,
          distrito: `${tienda_recojo}`,
          servicio_envio: "recojo en tienda",
          ubigeo: `${ubig1}`,
          dni_envio: `${tipo_doc}`,
          tipo_envio: "recojo en tienda",
        },
        cupon: $("#inpidkcuppon").val(),
      }),
    };

    console.log(settings);

    $.ajax(settings)
      .done(function (response) {
        var num_orden= response['obj'][0]['num_orden'];
          $.cookie('step_checkout', '2', { expires: 7, path: '/' });
          $.cookie('num_orden', num_orden, { expires: 7, path: '/' });
          $.cookie('c_email', correo, { expires: 7, path: '/' });

          getOrdenPedido(num_orden,correo);
              $('.loadin').attr('style','display:none !important');

              if ($("#recojo_en_plaza").prop("checked")) {
                $("#recojo_en_plaza").click();
              }

          }).fail(function (response) {
            // $("#mensaje p").text(response.responseJSON.sRpta)
            // $("#mensaje").modal("show")
            Swal.fire({
              // icon: 'warning',
              // title: 'IMPORTANTE',
              html: '<p class="text-justify"><span style="font-weight: 700;font-size: 20px;">'+response.responseJSON.sRpta.split(":")[0]+':</span> <ul>'+response.responseJSON.sRpta.split(":")[1].split(",").map(el => {
                return `<li style="text-transform: math-auto;margin-bottom: 10px;">${el}</li>`
              })+'</ul></p>',
              confirmButtonText: 'Ir al carrito'
            }).then(res => {
              if(res.isConfirmed){
                location.href = "/process/shopcart"
              }
            })
          })
  }else{
    $('.loadin').attr('style','display:block !important');

   var direccion=$('#direccion').val();
   var departamento=$('#select2-departamento-container').text();
   var pais=$('#pais').text();
   var provincia=$('#select2-provincia-container').text();
   var distrito=$('#select2-distrito-container').text();
   var referencia=$('#referencia').val();
   var nom_ape_quien_recoje= $('#nom_ape_quien_recoje').val();
   var tipo_doc_quien_recoje= $('#tipo_doc_quien_recoje').val();
   var documento_quien_recoje= $('#documento_quien_recoje').val();

   var nombres_completos_fact= $('#nombres_completos_fact').val();


   if (nombres_completos_fact==""){

   var nombres_completos_fact= $('input[name=razon_social]').val();

   }else{

    var nombres_completos_fact= $('#nombres_completos_fact').val();

   }

    var tipo_doc= $('input[name=dni_doc]').val();


   if (tipo_doc==""){

      var tipo_doc= $('input[name=ruc]').val();

   } else{

        var tipo_doc= $('#nombres_completos_fact').val();
   }


 
    var apellidos_completos_fact= $('#apellidos_completos_fact').val();

    var items=[];

   var telefono= $('#telefono').val();
   var correo= $('#correo').val();
   var tipoDocSelect;

    if ($('#doc_factura').prop('checked') === true) {
     tipoDocSelect = "factura"   
    }else {
     tipoDocSelect = "boleta"
    }
    var list_tipo_doc= $("#tipo_doc").val() !== "" ? $("#tipo_doc").val() : $("#num_ruc").val()
   var valordEnvio = $.cookie("CostoEnvio");
   var zonadEnvio = $.cookie("ZonaEnvio");

   if( $("#termin_condicion").is(":checked") ){
    var rsp_tc = "si";
   } else {
    var rsp_tc = "no";
   }

   if( $("#pol_privacidad").is(":checked") ){
    var rsp_pp = "si";
   } else {
    var rsp_pp = "no";
   }

   //4.1
   var tot_pr = parseFloat( $("#total_price").text() );
   var tot_disc = parseFloat( $("#total_discount").text() );
   var total_dsc = tot_pr - tot_disc;


           var hostname1 = document.getElementById("urlDomainDefault").getAttribute("content");
            var cnmae1 = hostname1+"_cookie_checkout1";
           var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));
           var ListaProductos =productosCarritos.products;

           var Subtotal= productosCarritos["summary"]['subTotal'];
           var disccount= productosCarritos["summary"]['disccount'];
           var quantity= productosCarritos["summary"]['quantity'];
           var total= productosCarritos["summary"]['total'];

           $.each(ListaProductos , function( x, items_vals ) {
                var item={};
                item.sku= items_vals.sku;
                item.quantity_sku= items_vals.quantity;
                items.push(item);
            });


            var settings = {
              "url": "https://sami3-orders.winwinafi.com/orders",
              "method": "POST",
              "timeout": 0,
              "headers": {
                "Content-Type": "application/json"
              },
              "data": JSON.stringify({
              "cabecera_pedido": {
                "dominio":`${domainControl}`,
                "estado_pedido": "activo",
                "email_pedido": `${correo}`
              },
              "datos_facturacion": {
                "tipo_de_doc": tipoDocSelect,
                "id_cliente": list_tipo_doc,
                "nombres_facturacion":  `${nombres_completos_fact}`,
                "telefono_facturacion": `${telefono}`,
                "email_facturacion": `${correo}`
              },
              "resumen_pedido": {
                "costo_envio": zonadEnvio,
                "quantity": quantity,
                "subtotal": $("#total_price").text(),
                "disccount": $("#total_discount").text(),
                "total": total_dsc,
                "impuesto":0,
                "gran_total":$("#total_total").text()
              },
              "detalle_pedido": items,
              "terminos_legales": {
                "acepta_condiciones": rsp_tc,
                "acepta_datos": rsp_pp
              },
              "situacion_envio": {
                "estado_envio": "pendiente",
                "preparacion": "01-10-2022",
                "listo_envio": "01-10-2022",
                "enviado": "01-10-2022",
                "recibido": "01-10-2022",
                "operador_logistico": "ramsa"
              },
              "situacion_facturacion": {
                "estado_facturacion": "facturado",
                "fecha_envio_facturacion": "01-10-2022",
                "Link_doc1": "http://fraa.com/dsdsdsd",
                "Link_doc2": "http://fdfd.com/dsdsdsd"
              },
              "situacion_erp": {
                "estado_erp": "pendiente",
                "fecha_envio_erp": "01-10-2022",
                "Link_doc1_erp": "http://fraa.com/dsdsdsd"
              },
              "situacion_pagos": {
                "estado_pago": "pagado",
                "fecha_pago": "01-07-2022",
                "metodo_pago": "visa"
              },
              "datos_envio": {
                "nombres_envio": `${nom_ape_quien_recoje}`,
                "apellidos_envio": `${apellidos_completos_fact}`,
                "direccion_envio": `${direccion}`,
                "referencia_envio": `${referencia}`,
                "telefono_envio": `${telefono}`,
                "pais": `${pais}`,
                "departamento": `${departamento}`,
                "provincia": `${provincia}`,
                "distrito": `${distrito}`,
                "servicio_envio": "programado",
                "ubigeo": $("#distrito option:selected").attr("data-ubigeo"),
                "dni_envio": `${documento_quien_recoje}`
              },
              "cupon":$("#inpidkcuppon").val()
            }),
          };

          console.log(settings);

          $.ajax(settings).done(function (response) {

          var num_orden= response['obj'][0]['num_orden'];
          $.cookie('step_checkout', '2', { expires: 7, path: '/' });
          $.cookie('num_orden', num_orden, { expires: 7, path: '/' });
          $.cookie('c_email', correo, { expires: 7, path: '/' });

          getOrdenPedido(num_orden,correo);
              $('.loadin').attr('style','display:none !important');


          }).fail(function (response) {
            // $("#mensaje p").text(response.responseJSON.sRpta)
            // $("#mensaje").modal("show")
            Swal.fire({
              // icon: 'warning',
              // title: 'IMPORTANTE',
              html: '<p class="text-justify"><span style="font-weight: 700;font-size: 20px;">'+response.responseJSON.sRpta.split(":")[0]+':</span> <ul>'+response.responseJSON.sRpta.split(":")[1].split(",").map(el => {
                return `<li style="text-transform: math-auto;margin-bottom: 10px;">${el}</li>`
              })+'</ul></p>',
              confirmButtonText: 'Ir al carrito'
            }).then(res => {
              if(res.isConfirmed){
                location.href = "/process/shopcart"
              }
            })
          })

  }
}




function getOrdenPedido(num_orden,correo){

  $('#num_orden').val(num_orden);
  
  var settings = {
    "url" :"https://sami3-orders.winwinafi.com/orders/"+domainControl+"/"+num_orden+"/"+correo,
    "method": "GET",
    "timeout": 0,
  };

  $.ajax(settings).done(function (response) {
    var datosemal= response['obj'][0]['datos_pedido']['datos_pedido'][0]['datos_facturacion'][0].email_facturacion;
    var datosmonto= response['obj'][0]['datos_pedido']['datos_pedido'][0]['resumen_pedido'][0].gran_total;

    // generarTokenPago(datosmonto,datosemal,num_orden);
    var hst = document.getElementById("urlDomainDefault").getAttribute("content");
    sessionStorage.setItem("email_"+hst, datosemal);
    sessionStorage.setItem("order_"+hst, num_orden);
  
    queryOrdenDetalle(response);
  });
}

function queryOrdenDetalle(response) {
  var datos_envio =
    response["obj"][0]["datos_pedido"]["datos_pedido"][0]["datos_envio"];
  var datos_factura =
    response["obj"][0]["datos_pedido"]["datos_pedido"][0]["datos_facturacion"];

  let valores = [
    { id: 9, text: "Carnet de Extrangeria" },
    { id: 8, text: "DNI" },
    { id: 11, text: "RUC" },
  ];

  $(".direccion-envio .valtext")
    .text(datos_envio[0].direccion_envio)
    .attr("disabled", "disabled");
  $(".referencia-envio .valtext")
    .text(datos_envio[0].referencia_envio)
    .attr("disabled", "disabled");
  $(".departamento-envio .valtext")
    .text(datos_envio[0].departamento)
    .attr("disabled", "disabled");
  $(".provincia-envio .valtext")
    .text(datos_envio[0].provincia)
    .attr("disabled", "disabled");
  $(".distrito-envio .valtext")
    .text(datos_envio[0].distrito)
    .attr("disabled", "disabled");
  $(".nombres-recoge-envio .valtext")
    .text(datos_envio[0].nombres_envio)
    .attr("disabled", "disabled");
  $(".documento-recoge-envio .valtext")
    .text(valores.find((el) => el.id === datos_envio[0].dni_envio.length).text)
    .attr("disabled", "disabled");
  $(".numdocumento-recoge-envio .valtext")
    .text(datos_envio[0].dni_envio)
    .attr("disabled", "disabled");

  $(".nombres_completos-fact strong")
    .text(
      datos_factura[0].tipo_de_doc === "boleta"
        ? "Nombres y Apellidos: "
        : "Razón Social: "
    )
    .attr("disabled", "disabled");
  $(".nombres_completos-fact .valtext")
    .text(datos_factura[0].nombres_facturacion)
    .attr("disabled", "disabled");
  $(".tipo_comp-fact").remove()
  $(".nombres_completos-fact")
    .after(`<div class="tipo_comp-fact"><strong> Tipo Comprobante: </strong> <span
class="valtext">${datos_factura[0].tipo_de_doc}</span></div>`);
  $(".apellidos_completos .valtext")
    .text(datos_factura[0].referencia_envio)
    .attr("disabled", "disabled");
  $(".tipo_doc-fact .valtext")
    .text(
      valores.find((el) => el.id === datos_factura[0].id_cliente.length).text
    )
    .attr("disabled", "disabled");
  $(".num_documento-fact .valtext")
    .text(datos_factura[0].id_cliente)
    .attr("disabled", "disabled");
  $(".telefono-fact .valtext")
    .text(datos_factura[0].telefono_facturacion)
    .attr("disabled", "disabled");
  $(".correo-fact .valtext")
    .text(datos_factura[0].email_facturacion)
    .attr("disabled", "disabled");

  $("#FinalizarCompra").hide();
  $(".contAceptTerminos").hide();
}

function generarTokenPago(datosmonto,datosemal,num_orden){

  const removedDecimal = Math.trunc(datosmonto);
  //const removedDecimal = datosmonto;

var domnio = document.getElementById("urlDomainDefault").getAttribute("content");
var settings = {
  "url": "https://sami3-payments.winwinafi.com/payments/izipay/token/javascript",
  "method": "POST",
  "crossDomain": true,
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json"
  },
  "data": JSON.stringify({"pedido_numero":`${num_orden}`,"correo":`${datosemal}`,"dominio": domnio})
};

//console.log( JSON.stringify({"amount":removedDecimal,"currency":"PEN","orderId":`${num_orden}`,"customer":{"email":`${datosemal}`}, "metadata":{"nameDomain": "hedacus.com"} }) );

$.ajax(settings).done(function (response) {

  var tokenID= response['obj'][0]['formToken'];
  //var tokenID= response['obj'][0];
  $.cookie('tokenPago', tokenID, { expires: 7, path: '/' });

  KR.setFormToken(tokenID);
  var hst = document.getElementById("urlDomainDefault").getAttribute("content");
  sessionStorage.setItem("email_"+hst, datosemal);
  sessionStorage.setItem("order_"+hst, num_orden);

  $('.loadin').attr('style','display:none !important;');

      KR.onSubmit( function(event) {
        /* Change the button label to the orderStatus */
        // $(".kr-payment-button > span:first").html(event.clientAnswer.orderStatus);
        // $(".kr-spinner").hide();
        // $(".kr-payment-button > span:first").show();
        console.log(event);
        console.log(event.clientAnswer.orderStatus);//PAID
        console.log(event.clientAnswer.transactions[0].transactionDetails.paymentMethodDetails.id);
        /* return values:
         * true: kr-post-success-url is called using POST
         * false: kr-post-success-url is not called, execution stops.
         */
        return true;
      });

});


}


function checkPedido(){


    var numordercheck= $('#num_orden').val();
  var settings = {
  "url": "https://sami3-orders.winwinafi.com/orders/"+domainControl+"/"+numordercheck,
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {

var datosemal= response['obj'][0]['datos_pedido']['datos_pedido'][0]['datos_facturacion'][0];
var datosmonto= response['obj'][0]['datos_pedido']['datos_pedido'][0]['resumen_pedido'][0];


// generarTokenPago(datosmonto,datosemal,numordercheck);

});

}


function editarPedido(){
 
   var num_orden= $.cookie('num_orden');

  var settings = {
  "url": "https://sami3-orders.winwinafi.com/orders/"+domainControl+"/"+num_orden,
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {



var datos_envio= response['obj'][0]['datos_pedido']['datos_pedido'][0]['datos_envio'];
var datos_factura= response['obj'][0]['datos_pedido']['datos_pedido'][0]['datos_facturacion'];


if (datos_factura[0].tipo_de_doc=="boleta") {


$("#doc_boleta").attr('checked','checked');

}
$('#direccion').val(datos_envio[0].direccion_envio);
$('#referencia').val(datos_envio[0].referencia_envio);
$("#tipo_doc_quien_recoje option[value='DNI']").prop('selected',true);
$('#nom_ape_quien_recoje').val(datos_envio[0].nombres_envio);
$('#documento_quien_recoje').val(datos_envio[0].dni_envio);


$('#nombres_completos_fact').val(datos_factura[0].nombres_facturacion);
$('#apellidos_completos_fact').val(datos_envio[0].id_cliente);
$("#list_tipo_doc option[value='DNI']").prop('selected',true);
$('#tipo_doc').val(datos_factura[0].dni_envio);
$('#telefono').val(datos_factura[0].telefono_facturacion);
$('#correo').val(datos_factura[0].email_facturacion);


});

}


  //5 AGREGAR CODIGO
  $(document).on('change','#departamento',function(){
      $('#provincia').html('');
      var idDepartamentos= $(this).val();
      provincias(idDepartamentos);

      /////
      // var hostname1 = window.location.hostname.replace("www.","");
      // var cnmae1 = hostname1+"_cookie_checkout1";
      // var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));

      // var total= productosCarritos["summary"]['total'];
      // var disccount = productosCarritos["summary"]['disccount'];
      // var CostoEnvio = $.cookie("CostoEnvio");
      // total = parseFloat(total) + parseFloat(CostoEnvio);

      // $("#total_discount").html(parseFloat(disccount).toFixed(2));
      // $('.totalCarrito').html('S/ <span id="total_total">'+ parseFloat(total).toFixed(2)+'</span>'); 
      // $("#inpidkcuppon").val("");
      $(".zonasEnvio2").html("");

  });


  $(document).on('change','#provincia',function(){
     $('#distrito').html('');
     var idProvincias= $(this).val();
     var idDepa=$('#provincia option:selected').attr('data-depa');

     distritos(idProvincias,idDepa);

     ////
    //  var hostname1 = window.location.hostname.replace("www.","");
    //   var cnmae1 = hostname1+"_cookie_checkout1";
    //   var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));

    //   var total= productosCarritos["summary"]['total'];
    //   var disccount = productosCarritos["summary"]['disccount'];
    //   var CostoEnvio = $.cookie("CostoEnvio");
    //   total = parseFloat(total) + parseFloat(CostoEnvio);

    //   $("#total_discount").html(parseFloat(disccount).toFixed(2));
    //   $('.totalCarrito').html('S/ <span id="total_total">'+ parseFloat(total).toFixed(2)+'</span>'); 
    //   $("#inpidkcuppon").val("");
      $(".zonasEnvio2").html("");


  });


  $(document).on('change','#distrito',function(){

      $('.zonasEnvio2').html('');
      if (document.querySelector(".zonasEnvio")) {
  
      } else {

        $('#distrito').parent().append(`<div class="zonasEnvio"> </div> <div class="mensajeZona"> </div> `);

      }

     ///////

      // var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));
      // var total= productosCarritos["summary"]['total'];

      let costo = parseFloat($(".valorEnvio").text().split(" ")[1]);
      $.cookie('CostoEnvio', '0', { expires: 7, path: '/' });
      $.removeCookie('ZonaEnvio', { path: '/' });

      let precio = $("#total_total").text()
      var TotalFinal1 = parseFloat(precio) - parseFloat(costo);
      $(".totalCarrito").html(
        "S/. <span id='total_total'>" + parseFloat(TotalFinal1).toFixed(2) + "</span>"
      );
      $(".listaPagos .valorEnvio").html("S/. 0.00");

      //var idProvincias= $(this).val();
      var idDepa=$('#distrito option:selected').attr('data-depa');
      var idProv=$('#distrito option:selected').attr('data-prov');

      var idZonas= $(this).val();
      zonasEvios(idZonas,idDepa,idProv);


      /////
      // var hostname1 = window.location.hostname.replace("www.","");
      // var cnmae1 = hostname1+"_cookie_checkout1";
      // var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));

      // var total= productosCarritos["summary"]['total'];
      // var disccount = productosCarritos["summary"]['disccount'];
      // var CostoEnvio = $.cookie("CostoEnvio");
      // total = parseFloat(total) + parseFloat(CostoEnvio);

      // $("#total_discount").html(parseFloat(disccount).toFixed(2));
      // $('.totalCarrito').html('S/ <span id="total_total">'+ parseFloat(total).toFixed(2)+'</span>');
      // $("#inpidkcuppon").val("");

       



  });


  $(document).on('click','.zonasEnvio input',function(){
     
     var nameZona= $(this).attr('data-msg');
     $('#costoEnvioData .costomensaje').html(nameZona);
     $('.mensajeZona').html(nameZona);
     
  });


  $(document).on("click", ".tipo_doc input", function () {
    var tipoDocSelect = $(this).attr("id");
  
    if (tipoDocSelect == "doc_factura") {
      $(".razon_social").attr("style", "display:block");
      $(".ruc").attr("style", "display:block");
      $(".nombres_completos_fact").attr("style", "display:none");
      $(".apellidos_completos_fact").attr("style", "display:none");
      $(".list_tipo_doc").attr("style", "display:none");
      $(".dni_doc").attr("style", "display:none");
      $(".nombres_completos_fact input").val("")
      $(".list_tipo_doc select").val("")
      $(".dni_doc input").val("")
    } else {
      $(".razon_social").attr("style", "display:none");
      $(".ruc").attr("style", "display:none");
      $(".razon_social input").val("")
      $(".ruc input").val("")
      $(".nombres_completos_fact").attr("style", "display:block");
      $(".apellidos_completos_fact").attr("style", "display:block");
      $(".list_tipo_doc").attr("style", "display:block");
      $(".dni_doc").attr("style", "display:block");
      $(".dni_doc.separadores").attr("style", "display:none");
      $(".separadores.list_tipo_doc").attr("style", "display:none");
    }
  });
  

  $(document).on('click','.zonasEnvio2 input',function(){

      $('.zonasEnvio2 label').removeClass('active');
      $(this).parent().addClass('active');
      var zonaID  = $(this).val();
      var hostname1 = document.getElementById("urlDomainDefault").getAttribute("content");
            var cnmae1 = hostname1+"_cookie_checkout1";
      var productosCarritos=JSON.parse(localStorage.getItem(cnmae1));

      // if (zonaID=="zona_3_regular") { var valordEnvio=10.00;}
      // if (zonaID=="zona_2_express") { var valordEnvio=25.00;}
      // if (zonaID=="zona_1_programado") { var valordEnvio=30.00;}

      // var valTotalCart=$('.totalCarrito').text().replace('S/','');
      
      // var TotalFinal1 = parseFloat(total + valordEnvio);
      // console.log("totl: "+ TotalFinal1.toFixed(2));

      // $('.listaPagos .valorEnvio').html('S/ '+ parseFloat(valordEnvio).toFixed(2));
      // $('.totalCarrito').html('S/ '+ parseFloat(TotalFinal1).toFixed(2));

      var total= productosCarritos["summary"]['total'];
      var quantity= productosCarritos["summary"]['quantity'];

      getZonasEnvioApi(zonaID,total,quantity);

  });


jQuery(document).ready(function ($) {

            $("#smart-form").validate({
                errorClass: "state-error",
                validClass: "state-success",
                errorElement: "em",
                highlight: function (element, errorClass, validClass) {
                    $(element).closest('.field').addClass(errorClass).removeClass(validClass);
                },
                unhighlight: function (element, errorClass, validClass) {
                    $(element).closest('.field').removeClass(errorClass).addClass(validClass);
                },
                errorPlacement: function (error, element) {
                    if (element.is(":radio") || element.is(":checkbox")) {
                        element.closest('.option-group').after(error);
                    } else {
                        error.insertAfter(element.parent());
                    }
                }
            });


function sendForm(){

    jQuery.validator.setDefaults({
      debug: false,
      success: "valid"
    });

  var validandoForm=$("#smart-form");

    var estado_termCond=$('#termin_condicion').val();

  if (validandoForm.valid() == true  && estado_termCond=="true"  ) {


  $('.resumenFacturacion').attr('style','display:block;');
  $('#formulario_facturacion').attr('style','display:none;');
  $('#enviosForm #formulario').attr('style','display:none;');
  $('#enviosForm .resumenEnvio').attr('style','display:block;');
  $('.metodosPago').attr('style','display:block !important;');
  $('#continuarPago').addClass('hidden');
  $('.zonasEnvio2').addClass('hidden');
  $('#FinalizarCompra').removeClass('hidden');
  $(".btn_sg, .btn_sg1, .btn_at1").attr("style","display:none");
  $(".cupon_group").hide();   
 
 guardarOrden();
 }




 
  if (estado_termCond=="false" ) {

   $('#termin_condicion').parent().find('div').attr('style', 'color:red;');
   $('body').append('<style>.custom-control-label.termin_condicion:before{border:1px solid red;} </style>');
   
 }

   if (estado_termCond=="true" ) {

  $('#termin_condicion').parent().find('div').attr('style', 'color:green;');
  $('body').append('<style>.custom-control-label.termin_condicion:before{border:1px solid green;} </style>');

 }

}




$("body").on("click", "#FinalizarCompra", function (e) {

checkPedido();

});

$("body").on("click", "#editarFormularo", function (e) {

$('.resumenFacturacion').attr('style','display:none;');
$('#formulario_facturacion').attr('style','display:display:flex;');
$('#enviosForm #formulario').attr('style','display:display:flex;');
$('#enviosForm .resumenEnvio').attr('style','display:none;');
$('.metodosPago').attr('style','display:none !important;');
$('#continuarPago').removeClass('hidden');
$('.zonasEnvio2').removeClass('hidden');
$('#FinalizarCompra').addClass('hidden');
$(".btn_sg, .btn_sg1, .btn_at1").attr("style","display:inline-block");


editarPedido();

});

$("body").on("click", "#termin_condicion", function (e) {

if ($(this).is(':checked')) {
    $(this).attr('value', 'true');
  } else {
    $(this).attr('value', 'false');
  }
});


$("body").on("click", "#continuarPago", function (e) {
  if( !$(this).hasClass("disabledx") ){
    e.preventDefault();
    /* if ($("#recojo_en_tienda").prop("checked")) {
      $("#recojo_en_tienda").click();
    } */
    sendForm();
  }
});



 onlyNumber();


});

/////
//////VALIDAR



$(document).ready(function(){

  //TKN
  var tkn = $.cookie('account_login');
  if(tkn!=null){
    tkn = tkn.replace(/\"/g, "");

    var opciones = {
      "url": "https://sami3-clients.winwinafi.com/myaccount/informacion_personal",
      "method": "GET",
      "timeout": 0,
      "headers": {"Authorization": "Bearer "+tkn}
    };

    $.ajax(opciones).done(function (response) {
      var obj = response["resultado"][0];

          //COLOCAR INFO EN FORM DE PERFIL
          $("#nom_ape_quien_recoje").val( obj.nombres + " "+ obj.apellidos);
          $("#tipo_doc_quien_recoje, #list_tipo_doc").val( obj.tipo_documento );
          $("#documento_quien_recoje, #tipo_doc").val( obj.num_documento );
      setMaxlenghtDocument($('#tipo_doc_quien_recoje').val(), '#documento_quien_recoje')
      setMaxlenghtDocument($('#list_tipo_doc').val(), '#tipo_doc')
          $("#nombres_completos_fact").val( obj.nombres + " "+ obj.apellidos );
          $("#telefono").val( obj.celular_contacto );
          $("#correo").val( obj.correo_electronico );
    });



    var setb = {
      "url": "https://sami3-clients.winwinafi.com/myaccount/direcciones",
      "method": "GET",
      "timeout": 0,
        "headers": {
         "Authorization": "Bearer "+tkn
        }
    };

    $.ajax(setb).done(function (response) {

      console.log(response);
      var direcciones = response["resultado"]["direcciones"];

      var sel = '<div class="form-group sel_dir"><label>Seleccione una dirección: *</label><select class="form-control" id="direcc_existente"><option value="">Seleccione una dirección</option>';
      for(var n=0; n<direcciones.length;n++){
        var obj = direcciones[n][0];
        sel+=`<option value="`+obj["direccion"]+`" data-ref="`+obj["referencia"]+`">`+obj["direccion"]+`</option>`;
      }

      sel +='</select></div>';

      $("#formulario").append(sel);

      // function dataDirecciones(e){
      //   var $span = $("<span><img src='https://resources-sami3.s3.us-west-1.amazonaws.com/sami3-prod/hedacus.com/images/icons/perfil/icon-mapd1.svg' width='30'> " + e.text + "</span>");
      //   return $span;
      // }

      $('#direcc_existente').select2({
        placeholder: 'Seleccione una dirección',
        // templateResult: dataDirecciones,
        // templateSelection: dataDirecciones
      });

      $('#direcc_existente').on('select2:select', function (e) {
          var data = e.params.data;
          console.log(data);
          $("#direccion").val(data.text);
      });
      $(".direccion.field").hide();

    });



  }


  ///6 CODIGO CUPÓN


  $("#btnidkcuppon").click(function () {
    var cupon = $("#inpidkcuppon").val();
    var prds = [];
    var hostname1 = window.location.hostname.replace("www.", "");
    var cnmae1 = hostname1 + "_cookie_checkout1";
    var productosCarritos = JSON.parse(localStorage.getItem(cnmae1));
    var ListaProductos = productosCarritos.products;

    $.each(ListaProductos, function (x, items_vals) {
      var item = {};
      item.dominio = hostname1;
      item.sku = items_vals.sku;
      item.coupon = cupon;
      item.cantidad = items_vals.quantity;
      prds.push(item);
    });

    if (cupon != "") {
      //console.log(prds);
      //console.log(cupon);

      var settings = {
        url: "https://sami3-catalog.winwinafi.com/datosvariaciones/validate/checkout",
        method: "POST",
        timeout: 0,
        headers: {
          "Content-Type": "application/json",
        },
        data: JSON.stringify(prds),
      };

      $.ajax(settings).done(function (response) {
        if (response["sRpta"].cupon != undefined) {
          $("#msg_cupon").html(
            "<span style='color: green;'>La promocion existe</span>"
          );
        } else {
          $("#msg_cupon").html(
            "<span style='color: red;'>La promocion no existe</span>"
          );
          $("#inpidkcuppon").val("");
        }
        //Detecta Envio Gratis C1.1
        var CostoEnvio = "";
        if (response["sRpta"].free_shipping === true) {
          CostoEnvio = "0.00";
          window.envio = true
          $(".valorEnvio").html("S/. 0.00");
        } else {
          window.envio = false
          CostoEnvio = parseFloat($(".valorEnvio").text().split(" ")[1]);
          $(".valorEnvio").html(`S/. ${parseFloat(CostoEnvio).toFixed(2)}`);
        }
        //Fin Detecta Envio Gratis
        var descnt = response["sRpta"].disccount;
        var subtotal = response["sRpta"].subTotal;
        var total = response["sRpta"].total;
        total = parseFloat(total) + parseFloat(CostoEnvio);

        $("#total_discount").html(parseFloat(descnt).toFixed(2));
        $("#total_price").html(parseFloat(subtotal).toFixed(2));
        $(".totalCarrito").html(
          "S/ <span id='total_total'>" +
            parseFloat(total).toFixed(2) +
            "</span>"
        );
      });
    } else if (cupon == "") {
      window.envio = false
      var total = productosCarritos["summary"]["total"];
      var disccount = productosCarritos["summary"]["disccount"];
      var CostoEnvio = parseFloat($(".valorEnvio").text().split(" ")[1]);
      total = parseFloat(total) + parseFloat(CostoEnvio);

      $("#total_discount").html(parseFloat(disccount).toFixed(2));
      $(".totalCarrito").html(
        'S/ <span id="total_total">' + parseFloat(total).toFixed(2) + "</span>"
      );
      $("#msg_cupon").html(``);
    }
  });

  $("#inpidkcuppon").keyup(function () {
    var cupon = $(this).val();
    var hostname1 = window.location.hostname.replace("www.", "");
    var cnmae1 = hostname1 + "_cookie_checkout1";
    var productosCarritos = JSON.parse(localStorage.getItem(cnmae1));

    if (cupon == "") {
      window.envio = false
      var total = productosCarritos["summary"]["total"];
      var disccount = productosCarritos["summary"]["disccount"];
      var CostoEnvio = $("#distrito").val() == null ? parseFloat($(".valorEnvio").text().split(" ")[1]) : $.cookie("CostoEnvio");
      total = parseFloat(total) + parseFloat(CostoEnvio);

      $("#total_discount").html(parseFloat(disccount).toFixed(2));
      $(".totalCarrito").html(
        'S/ <span id="total_total">' + parseFloat(total).toFixed(2) + "</span>"
      );
      $('.listaPagos .valorEnvio').html('S/. '+parseFloat(CostoEnvio).toFixed(2));
      $("#msg_cupon").html(``);
    }
  });

  (function () {
    var cupon = $("#inpidkcuppon").val();
    var prds = [];
    var hostname1 = window.location.hostname.replace("www.", "");
    var cnmae1 = hostname1 + "_cookie_checkout1";
    var productosCarritos = JSON.parse(localStorage.getItem(cnmae1));
    var ListaProductos = productosCarritos.products;

    $.each(ListaProductos, function (x, items_vals) {
      var item = {};
      item.dominio = hostname1;
      item.sku = items_vals.sku;
      item.coupon = cupon;
      item.cantidad = items_vals.quantity;
      prds.push(item);
    });
    var settings = {
      url: "https://sami3-catalog.winwinafi.com/datosvariaciones/validate/checkout",
      method: "POST",
      timeout: 0,
      headers: {
        "Content-Type": "application/json",
      },
      data: JSON.stringify(prds),
    };

    $.ajax(settings).done(function (response) {
      productosCarritos.summary = response['sRpta'];
    window.localStorage.setItem(cnmae1, JSON.stringify(productosCarritos));
    //Detecta Envio Gratis C1.1
    var CostoEnvio = '';
    if(response["sRpta"].free_shipping === true){
      window.envio = true
      CostoEnvio = '0.00';
      $('.valorEnvio').html("S/. 0.00");
    }else{
      window.envio = false
      CostoEnvio = parseFloat($(".valorEnvio").text().split(" ")[1]);
      $(".valorEnvio").html(`S/. ${parseFloat(CostoEnvio).toFixed(2)}`);
    }
    //Fin Detecta Envio Gratis
    var descnt = response["sRpta"].disccount;
    var subtotal = response["sRpta"].subTotal;
    var total = response["sRpta"].total;
    total = parseFloat(total) + parseFloat(CostoEnvio);

      $("#total_discount").html(parseFloat(descnt).toFixed(2));
      $("#total_price").html(parseFloat(subtotal).toFixed(2));
      $(".totalCarrito").html(
        "S/ <span id='total_total'>" + parseFloat(total).toFixed(2) + "</span>"
      );
    });
  })();





});

